/*
 * Copyright 2018 by Marco Martin <mart@kde.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

import QtQuick 2.9
import org.kde.plasma.core 2.0 as PlasmaCore

SliderBase {
    id: root

    iconSource: Qt.resolvedUrl("./brightness-increase.svg")

    /* NOTE: "proper" screen brightness, reenable if the hardware will support
    property int screenBrightness
    readonly property int maximumScreenBrightness: pmSource.data["PowerDevil"] ? pmSource.data["PowerDevil"]["Maximum Screen Brightness"] || 0 : 0

    PlasmaCore.DataSource {
        id: pmSource
        engine: "powermanagement"
        connectedSources: ["PowerDevil"]
        onSourceAdded: {
            if (source === "PowerDevil") {
                disconnectSource(source);
                connectSource(source);
            }
        }
        onDataChanged: {
            root.screenBrightness = pmSource.data["PowerDevil"]["Screen Brightness"];
        }
    }

    slider.value: root.screenBrightness
    slider.onMoved: {
        var service = pmSource.serviceForSource("PowerDevil");
        var operation = service.operationDescription("setBrightness");
        operation.brightness = slider.value;
        operation.silent = true
        service.startOperationCall(operation);
    }
    slider.from: slider.to > 100 ? 1 : 0
    slider.to: root.maximumScreenBrightness
*/
    slider.value: plasmoid.configuration.fakeBrightness
    slider.onMoved: {
        plasmoid.configuration.fakeBrightness = slider.value;
    }
    slider.from: 0
    slider.to: 1
}

